CVE-2012-5635

Priority
Description
The GlusterFS functionality in Red Hat Storage Management Console 2.0,
Native Client, and Server 2.0 allows local users to overwrite arbitrary
files via a symlink attack on multiple temporary files created by (1)
tests/volume.rc, (2) extras/hook-scripts/S30samba-stop.sh, and possibly
other vectors, different vulnerabilities than CVE-2012-4417.
Package
Upstream:released (glusterfs-3.3.0.7rhs-1.el6, glusterfs-3.3.0.7rhs-1.el5)
Ubuntu 12.04 ESM (Precise Pangolin):DNE (precise was needed)
Ubuntu 14.04 LTS (Trusty Tahr):needed
Ubuntu 16.04 LTS (Xenial Xerus):not-affected
Ubuntu 18.04 LTS (Bionic Beaver):not-affected
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected
Ubuntu 19.04 (Disco Dingo):not-affected
More Information

Updated: 2019-01-14 21:14:43 UTC (commit 51f9b73af244ba86b9321e46e526586c25a8e060)